Warning: Missing argument 3 for wpseo_upgrader_process_complete()

WordPress SEO

With the recent release of WordPress 3.7, Joost’s plugin — WordPress SEO by Yoast — has a warning showing every time you upgrade a theme or plugin.

Here is what the error looks like:

Warning: Missing argument 3 for wpseo_upgrader_process_complete() in /home/user1/public_html/wp-content/plugins/wordpress-seo/inc/wpseo-non-ajax-functions.php on line 259

There’s nothing to worry about though, no harm is coming to your WordPress site.

Joost has a fix ready and will release it after the weekend is over, according to a tweet by Joost.

Comments

  1. By Darren on

    Two things…Weekend is over, and why wait in the meantime? Now the plugin is causing issues where you can’t update ANY plugins.

    • By Jonathan Dingman on

      That’s weird. I tested it here on WPForce.com and didn’t have any problems.

      Maybe worth trying to delete the plugin and reupload it to be safe.

      • By Darren on

        Getting it on 3 sites Jonathan. They really should have released and been done with it. It’s now almost Thursday in Europe. Sitemaps has never worked, support in wordpress.org non-existent other than community, now throwing errors, beginning to think going back to AIO is the play. Thanks for posting this!